identifier <- 'HCL_CH_ISCO_19_PROF'
language <- 'fr'
level_from <- 1
level_to <- 4
annotations <- FALSE
my_filters <- hash::hash('prop1'= list("string"))

parameters <- glue::glue("language={language}&levelFrom={level_from}&levelTo={level_to}&annotations={tolower(annotations)}&{hash_to_string(my_filters)}")

print(parameters)

api <- api_class(
  api_type = "nomenclature_multiple_levels",
  id = identifier,
  parameters = parameters,
  export_format = "CSV"
)

res <- api$get_response()
nb_col <- level_to - level_from + 1
group_columns <- names(res)[1:nb_col]

res[[group_columns[[1]]]] <- data.table::nafill(res[[group_columns[[1]]]], type="locf")

res[group_columns[(level_from + 1):level_to]] <- res %>% 
  group_by(group_columns[[level_from]]) %>% 
  subset(select=group_columns[(level_from + 1):level_to]) %>% 
  data.table::nafill(type="locf")

str(res)

